Subject: bug#57531: 28.1; Character encoding missing for "eo"

From: Gregory Heytings <[email-masked]>
Date: Mon, 05 Sep 2022 12:38:24 +0000

>> eo		eo_XX.ISO8859-3
>> eo_XX	eo_XX.ISO8859-3
>> eo:		eo_XX.ISO8859-3
>> eo_XX:	eo_XX.ISO8859-3
>
> If this is what locale.alias says, doesn't it mean that the system wants 
> us to use Latin-3 by default for this locale?  IOW, why does nl_langinfo 
> return a value that is different from what this file says? Is that 
> because locale.alias comes from X11, not from glibc?
>

I guess so, yes, given that glibc only knows of one encoding for the "eo" 
locale, namely "UTF-8".

>
> In any case, unless we change the code in mule-cmds.el, as long as 
> locale.alias says the above, what we say in language-info-alist about 
> this locale doesn't matter.  At least that's my reading of the code in 
> mule-cmds.el.
>

You are correct.  I should have tried the suggested patch before.  It has 
no effect indeed, at least here.

I think the conclusion is that the OP should either set his locale to 
"eo.UTF-8", or add (prefer-coding-system 'utf-8) in his init file.